Bug 976933 - [abrt] WARNING: at drivers/net/wireless/iwlwifi/dvm/tx.c:430 iwlagn_tx_skb+0x882/0xcd0 [iwldvm]()
[abrt] WARNING: at drivers/net/wireless/iwlwifi/dvm/tx.c:430 iwlagn_tx_skb+0x...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislaw Gruszka
Fedora Extras Quality Assurance
abrt_hash:2b96c55430c58b1cdc693554e5e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-21 20:11 EDT by Sten Turpin
Modified: 2013-10-08 13:10 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 13:10:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (188.86 KB, text/plain)
2013-06-21 20:11 EDT, Sten Turpin
no flags Details

  None (edit)
Description Sten Turpin 2013-06-21 20:11:05 EDT
Additional info:
reporter:       libreport-2.1.5
WARNING: at drivers/net/wireless/iwlwifi/dvm/tx.c:430 iwlagn_tx_skb+0x882/0xcd0 [iwldvm]()
Hardware name: XPS 12 9Q23
Tx while agg.state = 3
Modules linked in: lp parport tcp_lp ebtable_nat fuse xt_CHECKSUM tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables rfcomm bnep vfat fat iTCO_wdt iTCO_vendor_support dell_wmi sparse_keymap acpi_cpufreq dell_laptop mperf dcdbas coretemp kvm_intel arc4 kvm uvcvideo videobuf2_vmalloc videobuf2_memops iwldvm joydev microcode videobuf2_core mac80211 videodev btusb bluetooth media hid_multitouch iwlwifi snd_hda_codec_hdmi i2c_i801 cfg80211 snd_hda_codec_realtek lpc_ich mfd_core rfkill wmi snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_page_alloc snd_timer tpm_tis snd tpm mei tpm_bios soundcore binfmt_misc uinput btrfs libcrc32c xor zlib_deflate raid6_pq dm_crypt crc32_pclmul crc32c_intel i915 ghash_clmulni_intel i2c_algo_bit drm_kms_helper drm i2c_core video
Pid: 499, comm: irq/47-iwlwifi Not tainted 3.9.5-301.fc19.x86_64 #1
Call Trace:
 <IRQ>  [<ffffffffa0536e00>] ? iwlagn_tx_skb+0x850/0xcd0 [iwldvm]
 [<ffffffff8105cc26>] warn_slowpath_common+0x66/0x80
 [<ffffffff8105cc8c>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffff8101a835>] ? native_sched_clock+0x15/0x80
 [<ffffffffa053669e>] ? iwlagn_tx_skb+0xee/0xcd0 [iwldvm]
 [<ffffffffa0536e32>] iwlagn_tx_skb+0x882/0xcd0 [iwldvm]
 [<ffffffffa0534252>] iwlagn_mac_tx+0x22/0x40 [iwldvm]
 [<ffffffffa048a485>] __ieee80211_tx+0x125/0x370 [mac80211]
 [<ffffffffa048dd96>] ieee80211_tx_pending+0x146/0x200 [mac80211]
 [<ffffffff810ec531>] ? handle_irq_event_percpu+0xe1/0x1e0
 [<ffffffff8106548e>] tasklet_action+0x6e/0x110
 [<ffffffff8106561f>] __do_softirq+0xef/0x230
 [<ffffffff8164fadc>] call_softirq+0x1c/0x30
 <EOI>  [<ffffffff810152f5>] do_softirq+0x55/0x90
 [<ffffffff81064be4>] local_bh_enable_ip+0x94/0xa0
 [<ffffffff816461d5>] _raw_spin_unlock_bh+0x15/0x20
 [<ffffffffa0537e2f>] iwlagn_rx_reply_tx+0x28f/0xbe0 [iwldvm]
 [<ffffffffa054233b>] iwl_rx_dispatch+0x9b/0x120 [iwldvm]
 [<ffffffffa03b507a>] iwl_pcie_irq_handler+0x84a/0xcb0 [iwlwifi]
 [<ffffffff810ed110>] ? irq_finalize_oneshot.part.29+0xe0/0xe0
 [<ffffffff810ed130>] irq_thread_fn+0x20/0x50
 [<ffffffff810ed110>] ? irq_finalize_oneshot.part.29+0xe0/0xe0
 [<ffffffff810ed42f>] irq_thread+0x12f/0x160
 [<ffffffff810ed1b0>] ? irq_forced_thread_fn+0x50/0x50
 [<ffffffff810ed300>] ? irq_thread_check_affinity+0x90/0x90
 [<ffffffff810801f0>] kthread+0xc0/0xd0
 [<ffffffff81080130>] ? insert_kthread_work+0x40/0x40
 [<ffffffff8164e6ec>] ret_from_fork+0x7c/0xb0
 [<ffffffff81080130>] ? insert_kthread_work+0x40/0x40
Comment 1 Sten Turpin 2013-06-21 20:11:25 EDT
Created attachment 764008 [details]
File: dmesg
Comment 2 Stanislaw Gruszka 2013-08-23 03:57:04 EDT
Does the problem still happen on 3.10 kernel ?
Comment 3 Josh Boyer 2013-09-18 16:33:16 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 4 Josh Boyer 2013-10-08 13:10:06 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.